List of branches
List branches
get
https://api.dev.poly.ai/v1/agents/{agentId}/branches
Response
200
Response
200
get/v1/agents/{agentId}/branches
Authentication
200
Create branch
post
https://api.dev.poly.ai/v1/agents/{agentId}/branches
Body
application/json
Body
application/json
CreateBranchBody
* Additional properties are NOT allowed.
branchNamestringrequired
>= 1 characters<= 100 characters
Response
201
Response
201
Branch created
post/v1/agents/{agentId}/branches
Authentication
Body
{
"branchName": "branchName"
}
201
Delete branch
delete
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}
Response
200
Response
200
Branch deleted
delete/v1/agents/{agentId}/branches/{branchId}
Authentication
200
Merge branch
post
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/merge
Body
application/json
Body
application/json
MergeBranchBody
* Additional properties are NOT allowed.
deploymentMessagestring
Default:
conflictResolutionsarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
Response
200
Response
200
Branch merged
post/v1/agents/{agentId}/branches/{branchId}/merge
Authentication
Body
{}
200
List attributes
get
https://api.dev.poly.ai/v1/agents/{agentId}/branches/{branchId}/attributes
Response
200 application/json
Response
200 application/json
List of attributes for the agent branch
GetAttributesResponse
* Additional properties are NOT allowed.
attributesarray[object]required
* Additional properties are NOT allowed.
Show Child Parameters
get/v1/agents/{agentId}/branches/{branchId}/attributes
Authentication
200 application/json